Name: ftop
Version: 1.0 
Release: %mkrel 2
Summary: Utility that shows shows progress of open files and file systems
Group: Monitoring
License: GPLv3+
URL: http://code.google.com/p/ftop/
Source0: http://ftop.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0: ftop-fix_buffer_overflow.patch
Patch1: ftop-fix_printf_format.patch
BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: glibc >= 2.20


%description
Ftop is to files what top is to processes. The progress of all open files 
file systems can be monitored. 
The selection of which files to display is possible through 
a wide assortment of options. As with top, the items are displayed in 
order from most to least active. 

%prep
%setup -q

touch -r configure.ac configure.ac.stamp
%patch0 -p0 -b .fix_buffer_overflow
%patch1 -p0 -b .fix_printf_format
touch -r configure.ac.stamp configure.ac

%build
export LDFLAGS="$LDFLAGS -ltinfo"
%configure2_5x
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/*

%changelog
* Wed Feb 18 2015 bb <bb> 1.0-2pclos2015
- rebuild new glibc

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 1.0-1pclos2011
- import into pclos based on specfile from Fedora


